import JavaChat.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

public class ChatServer
{
	public static void main(String args[])
	{
		try
		{
			ORB orb = ORB.init(args, null);

			ChatImpl impl = new ChatImpl();
			orb.connect(impl);

			// Get the Root Naming Context
			org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
			NamingContext ncRef = NamingContextHelper.narrow(objRef);

			NameComponent nc = new NameComponent("Chat", "");
			NameComponent path[] = {nc};
			ncRef.rebind(path, impl);

			java.lang.Object sync = new java.lang.Object();
			synchronized(sync)
			{
				sync.wait();
			}
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
	}
}