import JavaChat.*;
import java.util.*;

class ChatImpl extends _ChatImplBase
{
	Hashtable map;

	public ChatImpl()
	{
		map = new Hashtable();
	}

	public void registClient(ChatCallback objRef, long client_id)
	{
		System.out.println("registClient" + client_id);
		map.put(new Long(client_id), objRef);
	}

	public void removeClient(long client_id)
	{
		System.out.println("removeClient" + client_id);
		map.remove(new Long(client_id));
	}

	public void sendMessage(byte[] message)
	{
		System.out.println("sendMessage");

		Iterator ite = map.keySet().iterator();
		while(ite.hasNext())
		{
			ChatCallback chatcallback = (ChatCallback)map.get(ite.next());
			chatcallback.callback(message);
		}
	}
}